> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Resource Audit History

> Get complete audit history for a specific resource

Args:
    resource_type: Type of resource (application, agent, mcp_server, context)
    resource_id: ID of the resource

Returns:
    Complete audit history for the resource



## OpenAPI

````yaml get /api/audit/audit-logs/resource/{resource_type}/{resource_id}
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/audit/audit-logs/resource/{resource_type}/{resource_id}:
    get:
      summary: Get Resource Audit History
      description: |-
        Get complete audit history for a specific resource

        Args:
            resource_type: Type of resource (application, agent, mcp_server, context)
            resource_id: ID of the resource

        Returns:
            Complete audit history for the resource
      operationId: >-
        get_resource_audit_history_api_audit_audit_logs_resource__resource_type___resource_id__get
      parameters:
        - name: resource_type
          in: path
          required: true
          schema:
            type: string
            title: Resource Type
        - name: resource_id
          in: path
          required: true
          schema:
            type: string
            title: Resource Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````